"""keys URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/3.1/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path, include

from . import views

urlpatterns = [
    path("ca/", views.CaListView.as_view(), name="ca-list"),
    path("ca/<int:pk>/", views.CaDetailView.as_view(), name="ca-detail"),
    path("ca/new/", views.ca_create, name="ca-create"),
    path("ca/<int:pk>/csr/", views.csr_create, name="csr-create"),

    path("csr/", views.CsrListView.as_view(), name="csr-list"),
    path("csr/<int:pk>/", views.csr_detail, name="csr-detail"),
    path("cert/", views.CertListView.as_view(), name="cert-list"),
    path("cert/<int:pk>/", views.CertDetailView.as_view(), name="cert-detail"),
    path("cert/<int:pk>/cert.pem", views.cert_download, name="cert-download"),

    path("cert/<str:pickup_code>/", views.CertPickupView.as_view(),
         name="cert-pickup"),
    path("cert/<str:pickup_code>/<str:serial_number>/cert.pem",
         views.cert_pickup_download,
         name="cert-pickup-download"),
]
